function proracun()
%inicijalizacija parametara masine...
Sng=100;%200;%par(1); %nominalna prividna snaga (MVA)
U=21;%par(2); %nominalni medjufazni napon (kV)
Zb=U^2/Sng; %bazna impedansa
P=0;%180;%par(3); %aktivna snaga (MW)
Q=0;%90;%par(4); %reaktivna snaga (MVAr)
R=0.01;%0.007;%par(5);   %otpornost faznog namotaja generatora (r.j.)
Xd=1.2;%par(6);  %sinhrona reaktansa po d-osi (r.j.)
Xq=0.8;%0.75;%par(7);  %sinhrona reaktansa po q-osi (r.j.)
Xras=0.12;%0.1;%par(8); %reaktansa raspianja faznog namotaja statora (r.j.)
Xd1=0.33;%0.3;%par(9);  %tranzijentna reaktansa generatora (r.j.)
Xd2=0.24;%0.2;%par(10); %suptranzijentna reaktansa generatora po d-osi (r.j.)
Xq2=0.22;%0.15;%par(11); %suptranzijentna reaktansa generatora po q-osi (r.j.)
Td1=1.5;%par(12); %tranzijentna vremenska konstanta po d-osi (s)
Td2=0.022;%0.038;%par(13); %suptranzijentna vremenska konstanta po d-osi (s)
Tq2=0.02;%0.03;%par(14); %suptranzijentna vremenska konstanta po q-osi (s)
%prebacivanje u apsolutne jedinice.....
R=R*Zb;
Xd=Xd*Zb;
Xq=Xq*Zb;
Xras=Xras*Zb;
Xd1=Xd1*Zb;
Xd2=Xd2*Zb;
Xq2=Xq2*Zb;
w=100*pi;
%-------------------------------------
%inicijalizacija parametara mreze...
%UnpT=par2(1); %nominalni napon primara trafoa T (kV)
%UnpT1=par2(2); %nominalni napon primara trafoa T1 (kV)
%UnsT1=par2(3); %nominalni napon sekundara trafoa T1 (kV)
%XT=par2(4);    %reaktansa trafoa T (r.j.)
%RT=par2(5);    %otpornost trafoa T (r.j.)
%XT1=par2(6);   %reaktansa trafoa T1 (r.j.)
%RT1=par2(7);   %otpornost trafoa T1 (r.j.)
%rv=par2(8);    %poduzna otpornost voda(oma/km)
%xv=par2(9);    %poduzna reaktansa voda(oma/km)
%D=par2(10);    %duzina voda(km)

%parametri proracuna...
tg=0.1;%par3(1);
tk=0.000001;%par3(2);
alfa=-90;%par(3);
alfa=alfa*pi/180;
k=1;%par3(4);
%n=par3(5);


%odredjivanje nestandardnih parametara za proracun
Md=(Xd-Xras)/w;
Lf=(Md^2)*w/(Xd-Xd1);
LD=(Md^2)*(Lf-Xd2/w)/(Lf*(Md-Xd2/w)+(Lf-Md)*Xras/w);
RD=Md*((Lf-Md)*(LD-Md)+(Lf-Md)*Xras/w+(LD-Md)*Xras/w)+(Lf-Md)*(LD-Md)*Xras/w;
RD=RD/((Xd*Lf/w-Md^2)*Td2);
Mq=(Xq-Xras)/w;
LQ=Mq^2*w/(Xq-Xq2);
RQ=(Xq*LQ/w-Mq^2)/(Xq*Tq2/w);
Rf=(Xd*Lf/w-Md^2)/(Xd*Td1/w);

%matrice.........

C=inv([Xd/w 0 Md 0 Md
    0 Xq/w 0 Mq 0
   Md 0 LD 0 Md
   0 Mq 0 LQ 0
   Md 0 Md 0 Lf]);

Fl=[-R -Xq 0 -w*Mq 0
    Xd -R w*Md 0  w*Md
    0    0   -RD 0   0
    0    0   0   -RQ 0
    0    0   0    0   -Rf];

Uf=zeros(5,1);

%pocetni uslovi.....
if((U^2+P*R+Q*Xq)==0)
    if((P*Xq-Q*R)>0)
        delta=pi/2;
    else
        delta=-pi/2;
    end;
else
delta=atan((P*Xq-Q*R)/(U^2+P*R+Q*Xq)); 
end;
if(P==0)
    if(Q>0)
        ai=-pi/2;
    else
        ai=+pi/2;
    end;
else
ai=atan(-Q/P);
end;
I=sqrt(P^2+Q^2)/U;
ids=-I*sin(delta-ai);%!!!!!!!!!!!!
iqs=I*cos(delta-ai);
ifs=(U*cos(delta)+R*iqs-Xd*ids)/(Md*w);
Uf(5)=k*Rf*ifs;
i0=[ids; iqs; 0; 0; ifs];

%integracija sistema.............

T=0:tk:tg;
options=odeset();

[t,i]=ode45(@f,T,i0,[],C,Fl,Uf);

%konvertovanje u fazne struje....
teta=w*t+alfa;
id=i(:,1);
iq=i(:,2);
ia=sqrt(2/3)*(-id.*sin(teta)+iq.*cos(teta));
ib=sqrt(1/6)*(id.*(sin(teta)+sqrt(3)*cos(teta))+iq.*(sqrt(3)*sin(teta)-cos(teta)));
ic=sqrt(1/6)*(id.*(sin(teta)-sqrt(3)*cos(teta))-iq.*(sqrt(3)*sin(teta)+cos(teta)));

figure(1)
hold all;
plot(t,-ia,'r');
plot(t,-ib,'g');
plot(t,-ic,'b');
grid on;
hold off;